# 工资明细转换工具

这是一个用于批量转换Excel工资明细表的图形界面工具。

## 功能特点

1. 批量导入Excel文件并根据模板进行转换
2. 自定义设置每个文件的公司、银行和其他信息
3. 按照指定的单元格映射规则转换数据
4. 自动生成包含员工姓名和日期的输出文件名
5. 支持复制和保留原始Excel的格式和样式

## 环境要求

- Python 3.7 或更高版本 (注：由于兼容性限制，不支持Python 3.2)
- 依赖包：pandas, openpyxl, xlrd, xlwt

## 关于Python 3.2兼容性说明

由于以下原因，此工具不支持Python 3.2:

1. pandas 库需要 Python 3.7 或更高版本
2. openpyxl 对Python 3.2 的支持有限
3. tkinter 在 Python 3.2 中存在的一些兼容性问题

建议使用Python 3.7或更高版本运行此工具。

## 安装说明

1. 确保已安装Python环境（3.7或更高版本）
2. 使用uv创建虚拟环境：
   ```bash
   uv venv
   ```
3. 激活虚拟环境：
   ```bash
   # Windows
   .venv\Scripts\activate
   # macOS/Linux
   source .venv/bin/activate
   ```
4. 安装依赖包：
   ```bash
   uv pip install -r requirements.txt
   ```

## 使用方法

1. 运行程序 (有多种方式):
   ```bash
   # 方法1: 直接运行Python脚本
   python main.py
   
   # 方法2: 使用批处理文件 (Windows)
   run.bat
   ```
2. 在界面上点击"选择Excel文件"按钮选择要转换的Excel文件
3. 双击列表中的每个文件，设置公司信息(C2)、银行信息(B30)和其他信息(F2)
4. 点击"选择导出位置"按钮选择输出文件保存位置
5. 点击"开始转换"按钮进行批量转换
6. 转换完成后会显示成功转换的文件数量

## 文件命名规则

输出文件名格式为：`YYYY年M月份給料明細書-姓名.xls`
- 年份(YYYY)：从输入文件第二个Sheet页的B4单元格中提取
- 月份(M)：从输入文件第二个Sheet页的B4单元格中提取
- 姓名：从输入文件第一个Sheet页的C3单元格中提取

## 单元格映射规则

导入文件的第一个Sheet页映射到导出文件的第一个Sheet页：
- C3 → E2
- D3 → E3
- B3 → C3

导入文件的第二个Sheet页完整复制到导出文件的第二个Sheet页，并命名为"M月勤怠一覧"

## 自定义配置

工具的配置参数可在 `config.py` 文件中修改，包括：
- 模板文件路径
- 单元格映射关系
- 公司和银行选项
- 输出文件名格式 